MocksControl.MockType (EasyMock 3.1 API)
Date: 2011-11-10

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.easymock.internal
Enum MocksControl.MockType

    java.lang.Object
      java.lang.Enum<MocksControl.MockType>
          org.easymock.internal.MocksControl.MockType

All Implemented Interfaces:
  Serializable, Comparable<MocksControl.MockType>

Enclosing class:
  MocksControl

    public static enum MocksControl.MockType

extends Enum<MocksControl.MockType>

Enum Constant Summary
`DEFAULT`
`NICE`
`STRICT`

Method Summary
`static MocksControl.MockType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static MocksControl.MockType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NICE

    public static final MocksControl.MockType NICE

### DEFAULT

    public static final MocksControl.MockType DEFAULT

### STRICT

    public static final MocksControl.MockType STRICT

Method Detail

### values

    public static MocksControl.MockType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (MocksControl.MockType c : MocksControl.MockType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static MocksControl.MockType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2011 OFFIS, Tammo Freese, Henri Tremblay. All Rights Reserved.